package es.caib.signatura.client.swing;

import javax.swing.JOptionPane;

import es.caib.signatura.api.Signer;
import es.caib.signatura.api.SignerFactory;
import es.caib.signatura.api.UpgradeNeededException;

public class ClientSignerFactory {
	
	public static Signer getSigner()  {
		SignerFactory sf = new SignerFactory();
			 
		try {
			return sf.getSigner();
		} catch (UpgradeNeededException e) {
			e.printStackTrace();
			try {
				showMessageError ("upgradeneeded");
				try { 
					JNLPLauncher.invoke(e.getUrl());
				} catch (NoClassDefFoundError e1) {
					e1.printStackTrace();
				}
			} catch (Exception e1) {
				e1.printStackTrace();
			}
		}
		System.exit(0);
		return null;
	}

	  private static void showMessageError(String message) throws Exception
	  {
		  SignaturaClientProperties signaturaProperties = new SignaturaClientProperties();
		  JOptionPane.showMessageDialog(null, signaturaProperties.getProperty(message), signaturaProperties.getProperty("appName"), JOptionPane.ERROR_MESSAGE);
	  }

}
