package es.caib.signatura.client.swing;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.UIManager;

import es.caib.signatura.impl.SigDebug;

import java.awt.Dimension;
import java.awt.Toolkit;
import java.lang.reflect.Constructor;


public class SignaturaClient 
{
  public SignaturaClient() throws Exception
  {

    Frame frame = new SignaturaFrameOption();
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height)
    {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width)
    {
      frameSize.width = screenSize.width;
    }
    // frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setLocation(20,20);
    frame.addWindowListener(new WindowAdapter()
      {
        public void windowClosing(WindowEvent e)
        {
          System.exit(0);
        }
      });
    frame.setVisible(true);
  }

  
  public static void main(String[] args)
  {
    try
    {
    	// Establim el nivell de missatges ...
		if( args.length > 0 ) {
			SigDebug.setLevel( args[0] );
		}
    	UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    	new SignaturaClient();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }

  }
}